/*
    Create a report that shows the number of
    employees and customers from each city that has employees in it.
*/

SELECT COUNT(DISTINCT e.EmployeeID) AS numEmployees,
    COUNT(DISTINCT c.CustomerID) AS numCompanies,
    e.City, c.City
FROM Employees e LEFT JOIN Customers c ON
    (e.City = c.City)
GROUP BY e.City, c.City
ORDER BY numEmployees DESC;